VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "IEVersionInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit


'==================================================================
'
' Internet Explorer Version Detection
'
' 29 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================


'------------------------------------------------------------------
' Version Detect

Private CurIEVer As DllVersionInfo



'------------------------------------------------------------------
' DLL Get version

Private Type DllVersionInfo
  cbSize As Long
  dwMajorVersion As Long
  dwMinorVersion As Long
  dwBuildNumber As Long
  dwPlatformID As Long
End Type

Private Declare Function DllGetVersion Lib "Shlwapi.dll" (dwVersion As DllVersionInfo) As Long


'------------------------------------------------------------------
' Get the version

Private Sub Class_Initialize()
  CurIEVer.cbSize = Len(CurIEVer)
  
  On Error GoTo NoIE
  If DllGetVersion(CurIEVer) = 1 Then
    On Error GoTo 0
    Err.Raise 12345, "IE version", "Could not get Internet Explorer version!"
  End If
Exit Sub

NoIE:
  On Error GoTo 0
  Err.Raise 12345, "IE version", "Internet Explorer was not found on this system!"
End Sub


'------------------------------------------------------------------
' Get Version info

Public Property Get Major() As Long
  Major = CurIEVer.dwMajorVersion
End Property

Public Property Get Minor()
  Minor = CurIEVer.dwMinorVersion
End Property

Public Property Get Revision() As String
  Revision = CurIEVer.dwBuildNumber
End Property

